#include <ChatCommand/CompDumpCommand/CompDumpCommand.hpp>

CompDumpCommand::CompDumpCommand(LocalWorld &world)
{
    require(UserPermission::Debug);

    addVariant(
        "- Dump debugging information about the current chunk.",
        [&world](Player &player)
        {
            world.getChunk(player.pos)->dumpComponents();
            player.writeChat("Components of the current chunk have been dumped.", Color::success);
        }
    );
}